%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname zope.schema

%if 0%{?fedora}
%global with_python3 1
%endif

Summary: Zope 3 schemas
Name: python-zope-schema
Version: 4.4.2
Release: 4%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.schema

BuildRequires: python-sphinx

BuildRequires: python2-devel
BuildRequires: python-setuptools
# For tests
BuildRequires: python-zope-testing
BuildRequires: python-zope-interface
BuildRequires: python-zope-event

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-zope-testing
BuildRequires: python3-zope-interface
BuildRequires: python3-zope-event
%endif

Requires: python-zope-interface
Requires: python-zope-event

%description
This package is a zope.interface extension for defining data schemas.

%if 0%{?with_python3}
%package -n python3-zope-schema
Summary:        Zope 3 schemas
Group:          Development/Libraries

Requires: python3-zope-interface
Requires: python3-zope-event

%description -n python3-zope-schema
This package is a zope.interface extension for defining data schemas.
%endif

%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

# build Sphinx documents
COPYRIGHT=`grep Author: PKG-INFO |sed -e 's/Author: //'`
cat >src/zope/schema/conf.py <<END
templates_path = ['_templates']
source_suffix = '.txt'
master_doc = 'index'
project = '%{modname}'
copyright = '$COPYRIGHT'
version = '%{version}'
release = '%{version}'
pygments_style = 'sphinx'
html_static_path = ['_static']
extensions = []
END

sphinx-build -b html src/zope/schema/ html

rm -fr html/{.buildinfo,.doctrees}

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif
%{__python2} setup.py install --root=%{buildroot}

%check
%{__python2} setup.py test
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE.txt CHANGES.rst COPYRIGHT.txt README.rst
%doc html/
%{python2_sitelib}/zope/schema/
%exclude %{python2_sitelib}/zope/schema/tests/
%exclude %{python2_sitelib}/zope/schema/*.txt
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-zope-schema
%doc LICENSE.txt CHANGES.rst COPYRIGHT.txt README.rst
%doc html/
%{python3_sitelib}/zope/schema/
%exclude %{python3_sitelib}/zope/schema/tests/
%exclude %{python3_sitelib}/zope/schema/*.txt
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth
%endif


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 14 2015 Ralph Bean <rbean@redhat.com> - 4.4.2-1
- new version

* Wed Aug 20 2014 Ralph Bean <rbean@redhat.com> - 4.4.1-1
- Latest upstream.
- Modernized python macros.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 4.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Tue Jan 28 2014 Ralph Bean <rbean@redhat.com> - 4.4.0-1
- Latest upstream.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.3.2-1
- Latest upstream.
- README and CHANGES renamed from .txt to .rst.

* Wed Feb 13 2013 Ralph Bean <rbean@redhat.com> - 4.2.2-1
- Latest upstream.
- Added Python3 subpackage.
- Removed dos2unix references.  No longer needed.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 26 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.8.1-1
- Update to 3.8.1 (#741003)
- Fix ends of lines

* Thu Mar 31 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.8.0-1
- Update to 3.8.0 (#689215)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.7.1-1
- Update to 3.7.1
- Build Sphinx documents

* Thu Sep 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.7.0-1
- Update to 3.7.0
- Move the documents to proper place
- Exclude the tests

* Sat Sep 11 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.4-2
- Spec cleaned up
- Requires: python-zope-filesystem and python-setuptools removed
- Add %%check section and run tests
- BR: python-zope-testing and runtime requirements added
- Don't move the text files

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.6.4-1
- Initial packaging
